Upstream information

CVE-2018-17828 at MITRE

Description

Directory traversal vulnerability in ZZIPlib 0.13.69 allows attackers to overwrite arbitrary files via a .. (dot dot) in a zip file, because of the function unzzip_cat in the bins/unzzipcat-mem.c file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:N/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 5.5
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact High High
Availability Impact None None
SUSE Bugzilla entry: 1110687 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • libzzip-0-13 >= 0.13.67-10.14.1
  • zziplib >= 0.13.67-10.14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2425
SUSE Linux Enterprise Desktop 12 SP4
  • libzzip-0-13 >= 0.13.67-10.14.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libzzip-0-13
SUSE Linux Enterprise Module for Basesystem 15
  • libzzip-0-13 >= 0.13.69-3.3.1
  • zziplib >= 0.13.69-3.3.1
  • zziplib-devel >= 0.13.69-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-2302
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libzzip-0-13 >= 0.13.67-10.14.1
  • zziplib >= 0.13.67-10.14.1
  • zziplib-devel >= 0.13.67-10.14.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2425
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libzzip-0-13 >= 0.13.67-10.14.1
  • zziplib-devel >= 0.13.67-10.14.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libzzip-0-13
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libzzip-0-13 >= 0.13.67-10.14.1
  • zziplib >= 0.13.67-10.14.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-2425
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libzzip-0-13 >= 0.13.67-10.14.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libzzip-0-13
openSUSE Leap 15.0
  • libzzip-0-13 >= 0.13.69-lp150.2.3.1
  • libzzip-0-13-32bit >= 0.13.69-lp150.2.3.1
  • libzzip-0-13-32bit-debuginfo >= 0.13.69-lp150.2.3.1
  • libzzip-0-13-debuginfo >= 0.13.69-lp150.2.3.1
  • zziplib >= 0.13.69-lp150.2.3.1
  • zziplib-debugsource >= 0.13.69-lp150.2.3.1
  • zziplib-devel >= 0.13.69-lp150.2.3.1
  • zziplib-devel-32bit >= 0.13.69-lp150.2.3.1
  • zziplib-devel-32bit-debuginfo >= 0.13.69-lp150.2.3.1
  • zziplib-devel-debuginfo >= 0.13.69-lp150.2.3.1
Patchnames:
openSUSE-2019-352
openSUSE Leap 42.3
  • libzzip-0-13 >= 0.13.67-13.12.1
  • libzzip-0-13-32bit >= 0.13.67-13.12.1
  • libzzip-0-13-debuginfo >= 0.13.67-13.12.1
  • libzzip-0-13-debuginfo-32bit >= 0.13.67-13.12.1
  • zziplib >= 0.13.67-13.12.1
  • zziplib-debugsource >= 0.13.67-13.12.1
  • zziplib-devel >= 0.13.67-13.12.1
  • zziplib-devel-32bit >= 0.13.67-13.12.1
  • zziplib-devel-debuginfo >= 0.13.67-13.12.1
  • zziplib-devel-debuginfo-32bit >= 0.13.67-13.12.1
Patchnames:
openSUSE-2018-1277


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 zziplib Released
SUSE Linux Enterprise Module for Basesystem 15 GA zziplib Released
SUSE Linux Enterprise SDK 12 SP3 zziplib Released
SUSE Linux Enterprise Workstation Extension 12 SP3 zziplib Released